@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap');
*,
*::after,
*::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Noto Sans", sans-serif;
}

#app {
    min-height: 100vh;
    height: 100%;
    width: 100%;
    overflow: hidden;
    position: relative;
}

#app::after {
    content: "";
    position: fixed;
    display: block;
    top: 0;
    left: 0;
    right: 0;
    height: 100vh;
    /* background-image: url("../images/bg-img/bg-main.webp"); */
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    z-index: -1;
}

#app__wrapper {
    width: 100%;
    height: 100%;
}

#lead--form {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin: 30px 0 90px;
}

.quiz__firstscreen {
    display: none !important;
}

.container {
    margin: 0 auto;
    padding: 0 18px;
    max-width: 900px;
}

.transparent {
    background-color: transparent !important;
    border-radius: 0 !important;
}

.main {
    position: relative;
    padding-top: 0px;
    min-height: 100vh;
    background: linear-gradient(0deg, #253746, rgba(37, 55, 70, 0.00)70%), linear-gradient(180deg, #1F2528, rgba(0, 0, 0, 0.00)30%), url(../newimg/3.jpg) right / cover no-repeat;
}

.quiz {
    /* display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center; */
    height: auto;
    width: 100%;
    overflow: hidden;
    transition: height 0.3s ease;
}

/* Header */

.header {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    background: #fff;
    border-bottom: 1px solid #E5E5E5;
    padding: 9px 0;
    z-index: 10;
}

.header .container {
    max-width: 1200px;
}

.header__logo {
    margin-left: 18px;
}

.header__info {
    text-align: center;
    font-size: 1.5rem;
    font-weight: 700;
}

/* Quiz */

#start--quiz:active {
    transform: translateY(2px);
    box-shadow: none;
}

#start--quiz._active {
    transform: translateY(2px);
    box-shadow: none;
}

.quiz__firstscreen {
    margin: 57px 0 90px;
    padding: 18px 18px 27px;
    background: rgba(98, 109, 161, 0.95);
}

.firstscreen__heading {
    color: #FFF;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-transform: uppercase;
}

.firstscreen__subheading {
    color: #FFF;
    font-size: 24px;
    font-style: normal;
    font-weight: 700;
    line-height: 140%;
}

.firstscreen__text {
    color: #FFF;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
}

.firstscreen__btn {
    padding: 12px 0;
    border-radius: 28px;
    border: 1px solid #FFF;
    max-width: 190px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFF;
    text-align: center;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 21px;
}

.firstscreen__content {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.quiz__content {
    margin: 57px 0 90px;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    background: transparent;
}

.question__subtitle,
.question__title {
    font-size: 1.5rem;
    color: #4a4a4a;
    text-align: left;
    text-wrap: balance;
    font-style: normal;
    font-weight: 700;
}

.quiz__question {
    padding: 21px 18px;
    background: rgba(88, 121, 141, 0.95);
}

.quiz__question p {
    margin-top: 10px;
    color: #FFF;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 160%;
}

.quiz__answers {
    display: grid;
    gap: 1rem;
    grid-template-columns: 1fr;
}

.question__progress {
    display: flex;
    align-items: center;
    column-gap: 15px;
    background: white;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.25);
    border-radius: 8px;
    padding: 5px 20px;
    width: 100%;
    max-width: 600px;
    margin: 20px auto 0;
}

.question__progress-line {
    width: 100%;
    background: #d9d9d9;
    border-radius: 3px;
    height: 8px;
    flex: 1;
}

#progress-line {
    background: #ffc800;
    border-radius: 3px;
    display: block;
    height: 100%;
    /* width: 20%; */
}

.question__progress-count {
    color: #4a4a4a;
    font-size: 12px;
    font-weight: 400;
    line-height: 25px;
}

.question__img {
    width: 100%;
    max-width: 60rem;
    border-radius: 16px;
}

.answer__button {
    min-height: 3rem;
    padding: 0.5rem;
    border: none;
    background: white;
    font-size: 1rem;
    cursor: pointer;
    color: #4a4a4a;
    font-size: 16px;
    font-weight: 400;
    box-shadow: 0px 4px 9px rgba(0, 0, 0, 0.25);
    border-radius: 16px;
}

.answer__button:active {
    border-bottom-width: 2px;
    transform: translateY(2px);
}

.answer__button._checked {
    border: 2px linear-gradient(180deg, #ffc800 0%, #d9aa03 100%) solid;
}

.answer__button:disabled {
    cursor: not-allowed;
}

.register-wrap {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 20px;
}

.register-wrap__video {
    width: 100%;
    max-width: 560px;
    margin: 0 auto;
}

.form-wrap {
    background: white;
    box-shadow: 0px 1px 20px rgba(0, 0, 0, 0.15);
    border-radius: 10px;
    width: 100%;
    max-width: 500px;
    padding: 40px 30px;
    margin: 0 auto;
    padding-top: 20px;
    margin-top: 20px;
}

.lead-text {
    padding: 21px 18px;
    background: rgba(98, 109, 161, 0.95);
}

.lead__title {
    margin-top: 15px;
    color: #FFF;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 130%;
}

.lead__subtitle {
    margin-top: 20px;
    color: #FFF;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
}

.question__subtitle-form {
    color: #4a4a4a;
    font-size: 16px;
    font-weight: 400;
    line-height: 21px;
    margin-top: 10px;
}

/* Footer */

.footer {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 33px 0;
}

.footer-date {
    text-align: center;
    color: #fff;
    font-size: 18px;
    font-weight: 300;
    line-height: 25px;
}

#year {
    padding-left: 10px;
}

/* keyFrames */

/* fadeIn */

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.fade-in {
    animation: fadeIn 1s ease-in;
}

/* fadeOut */

@keyframes fadeOut {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

.fade-out {
    animation: fadeOut 1s ease-in;
}

/* HTML: <div class="loader"></div> */

.loading-state {
    width: 50px;
    padding: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: linear-gradient(180deg, #626DA1F2 0%, #58798DF2 100%);
    --_m: conic-gradient(#0000 10%, #000), linear-gradient(#000 0 0) content-box;
    -webkit-mask: var(--_m);
    mask: var(--_m);
    -webkit-mask-composite: source-out;
    mask-composite: subtract;
    animation: l3 1s infinite linear;
}

.loading-wrap {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 100px;
    width: 100px;
    background: white;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 16px;
}

@keyframes l3 {
    to {
        transform: rotate(1turn);
    }
}

@media (min-width: 520px) {
    /* .quiz__firstscreen-image {
    height: 100%;
  } */
    .quiz__answers {
        grid-template-columns: 1fr 1fr;
    }
}

@media (min-width: 850px) {
    .register-wrap {
        flex-direction: row;
        column-gap: 60px;
    }
    .firstscreen__heading {
        font-size: 16px;
    }
    .firstscreen__subheading {
        font-size: 40px;
    }
    .firstscreen__text {
        font-size: 18px;
    }
    .quiz__question p {
        font-size: 26px;
    }
    .lead__title {
        font-size: 26px;
    }
    .lead__subtitle {
        font-size: 16px;
    }
}

@media (max-width: 850px) {
    #lead--form {
        gap: 0 !important;
    }
    .main {
        background: linear-gradient(0deg, #253746, rgba(37, 55, 70, 0.00) 70%), linear-gradient(180deg, #1F2528, rgba(0, 0, 0, 0.00) 30%), url(../newimg/3.jpg) left / cover no-repeat;
    }
}